You are not logged in.

#1 2012-10-17 10:01:52

jasewobble
Member
Registered: 2012-04-19
Posts: 11

[SOLVED] Can't start X after doing pacman -Syu

After not updating for over a week, yesterday I did a pacman -Syu only to find out this morning that X won't start. I'm getting the following message:

(EE) module ABI major version (12) doesn't match the server's version (13)

Tried adding this to xorg.conf but that results in a segmentation fault:

Section "ServerFlags"
Option "IgnoreABI"
EndSection

Can't downgrade X as I don't have the old package in /var/lib/pacman/pkg. Will post the full logs later.

Last edited by jasewobble (2012-10-17 17:58:35)

Offline

#2 2012-10-17 10:11:43

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,345

Re: [SOLVED] Can't start X after doing pacman -Syu

The error means you need to update your X drivers.

Offline

#3 2012-10-17 10:48:01

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: [SOLVED] Can't start X after doing pacman -Syu

jasewobble wrote:

Can't downgrade X as I don't have the old package in /var/lib/pacman/pkg

Yes you can https://wiki.archlinux.org/index.php/Downgrade#ARM


Edit: Are you running Arch in Virtualbox?

Last edited by karol (2012-10-17 10:48:28)

Offline

#4 2012-10-17 11:08:32

jasewobble
Member
Registered: 2012-04-19
Posts: 11

Re: [SOLVED] Can't start X after doing pacman -Syu

Scimmia wrote:

The error means you need to update your X drivers.

How do I do that? My system is up to date. The only thing I could do is add the testing repo but I don't know if it's a good idea.

karol wrote:

Yes you can https://wiki.archlinux.org/index.php/Downgrade#ARM

Edit: Are you running Arch in Virtualbox?

 
Will try that if I can't find a better solution. No, I'm not using Virtualbox.

Offline

#5 2012-10-17 11:16:05

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: [SOLVED] Can't start X after doing pacman -Syu

jasewobble wrote:
Scimmia wrote:

The error means you need to update your X drivers.

How do I do that? My system is up to date.

Post the output of

pacman -Qs xorg | grep ^local

Offline

#6 2012-10-17 11:54:35

jasewobble
Member
Registered: 2012-04-19
Posts: 11

Re: [SOLVED] Can't start X after doing pacman -Syu

local/xf86-input-evdev 2.7.3-2 (xorg-drivers xorg)
local/xorg-bdftopcf 1.0.3-2 (xorg xorg-apps)
local/xorg-font-util 1.3.0-1 (xorg-fonts xorg)
local/xorg-font-utils 7.6-3
local/xorg-fonts-alias 1.0.2-2
local/xorg-fonts-encodings 1.0.4-3 (xorg-fonts xorg)
local/xorg-fonts-misc 1.0.1-2
local/xorg-mkfontdir 1.0.7-1 (xorg xorg-apps)
local/xorg-mkfontscale 1.1.0-1 (xorg-apps xorg)
local/xorg-server 1.13.0-2 (xorg)
local/xorg-server-common 1.13.0-2
local/xorg-setxkbmap 1.3.0-1 (xorg-apps xorg)
local/xorg-xauth 1.0.7-1 (xorg-apps xorg)
local/xorg-xinit 1.3.2-1
local/xorg-xkbcomp 1.2.4-1 (xorg-apps xorg)
local/xorg-xmodmap 1.0.7-1 (xorg-apps xorg)
local/xorg-xrdb 1.0.9-2 (xorg-apps xorg)
local/xorg-xset 1.2.2-1 (xorg-apps xorg)

Offline

#7 2012-10-17 15:01:07

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: [SOLVED] Can't start X after doing pacman -Syu

What graphics driver are you using?

Offline

#8 2012-10-17 15:06:51

jasewobble
Member
Registered: 2012-04-19
Posts: 11

Re: [SOLVED] Can't start X after doing pacman -Syu

karol wrote:

What graphics driver are you using?

xf86-video-sisimedia

Offline

#9 2012-10-17 15:08:50

alphaniner
Member
From: Ancapistan
Registered: 2010-07-12
Posts: 2,777

Re: [SOLVED] Can't start X after doing pacman -Syu

Maybe searching for 'xf86' would be better.  At least in my case, video driver (nouveau) does not show up in 'xorg' search.

pacman -Qs xf86 | grep "^local"

Edit: too slooooow....

Last edited by alphaniner (2012-10-17 15:09:21)


But whether the Constitution really be one thing, or another, this much is certain - that it has either authorized such a government as we have had, or has been powerless to prevent it. In either case, it is unfit to exist.
-Lysander Spooner

Offline

#10 2012-10-17 15:15:18

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: [SOLVED] Can't start X after doing pacman -Syu

@jasewobble
Have you tried xf86-video-sis?

@alphaniner
I wanted to get the versions of some other packages, like xorg-server too, but you're right, this wasn't a smart way to do it.

Offline

#11 2012-10-17 15:24:30

jasewobble
Member
Registered: 2012-04-19
Posts: 11

Re: [SOLVED] Can't start X after doing pacman -Syu

karol wrote:

@jasewobble
Have you tried xf86-video-sis?

xf86-video-sis doesn't work for my graphics card at all. xf86-video-sis671 from AUR works (at least did last time I tried) but it's just a patched sisimedia and hasn't been updated in a while anyway.

Edit: xf86-video-vesa works but that's not a solution...

Last edited by jasewobble (2012-10-17 15:37:50)

Offline

#12 2012-10-17 15:41:33

karol
Archivist
Registered: 2009-05-06
Posts: 25,433

Re: [SOLVED] Can't start X after doing pacman -Syu

I've run out of ideas. Maybe it's a bug?

Offline

#13 2012-10-17 16:15:28

jjacky
Member
Registered: 2011-11-09
Posts: 322
Website

Re: [SOLVED] Can't start X after doing pacman -Syu

xf86-video-sisimedia hasn't been rebuilt for xorg-server 1.13, that's why it doesn't work. You need to downgrade xorg to 1.12, or get a rebuild driver for xorg 1.13
See https://bugs.archlinux.org/task/31928

Offline

#14 2012-10-17 16:26:17

jasewobble
Member
Registered: 2012-04-19
Posts: 11

Re: [SOLVED] Can't start X after doing pacman -Syu

jjacky wrote:

xf86-video-sisimedia hasn't been rebuilt for xorg-server 1.13, that's why it doesn't work. You need to downgrade xorg to 1.12, or get a rebuild driver for xorg 1.13
See https://bugs.archlinux.org/task/31928

Oh, wish I had known that before upgrading. Never done a downgrade before, hope it's not too much of a hassle.

Edit: All done, wasn't difficult at all. Thanks for the help.

Last edited by jasewobble (2012-10-17 17:56:57)

Offline

#15 2012-10-19 16:29:50

Uchiha
Member
From: Sabará/MG - Brasil
Registered: 2011-09-07
Posts: 45

Re: [SOLVED] Can't start X after doing pacman -Syu

I have the same issue. I'm at work, and I can't fix now. Which packs should I downgrade, besides xorg-server?


Linux user #519886

Offline

Board footer

Powered by FluxBB